メニューを切り替える
個人設定メニューを切り替える
個人メニューを切り替える
ログインしていません
編集を行うと、IPアドレスが公開されます。

「MediaWiki:Common.css」の版間の差分

MediaWikiインターフェイスページ
ページの作成:「ここに記述したCSSはすべての外装に反映されます: :root { --color-progressive-oklch__h: 42; } @media screen { .citizen-page-container::before { background-image: url("images/page-background.jpg"); background-position: center -50px; } } .citizen-page-container { position: relative; } .citizen-page-container::before { content: ""; position: absolute; inset: 0; pointer-events: none; background-r…」
 
編集の要約なし
 
(同じ利用者による、間の1版が非表示)
2行目: 2行目:
:root {
:root {
--color-progressive-oklch__h: 42;
--color-progressive-oklch__h: 42;
--irori-border-radius-pill: 9999px;
}
}


33行目: 35行目:
}
}


@media screen and (min-width: 600px)  {
@media screen and (min-width: 600px)  {
.irori-util-mobile-break { display: none; }
.irori-util-mobile-break { display: none; }
}
}

2026年1月10日 (土) 01:40時点における最新版

/* ここに記述したCSSはすべての外装に反映されます */
:root {
	--color-progressive-oklch__h: 42;
	
	--irori-border-radius-pill: 9999px;
}

@media screen {
    .citizen-page-container::before {
        background-image: url("images/page-background.jpg");
        background-position: center -50px;
    }
}

.citizen-page-container {
    position: relative;
}

.citizen-page-container::before {
    content: "";
    position: absolute;
    inset: 0;
    pointer-events: none;
    background-repeat: no-repeat;
    background-size: cover;
    height: 500px;
    mask-image: linear-gradient(rgba(0, 0, 0, 0.35),
            rgba(0, 0, 0, 0.2) 3rem,
            rgba(0, 0, 0, 0.05) 9rem,
            transparent 100%);
    -webkit-mask-image: linear-gradient(rgba(0, 0, 0, 0.35),
            rgba(0, 0, 0, 0.2) 3rem,
            rgba(0, 0, 0, 0.05) 9rem,
            transparent 100%);
}

@media screen and (min-width: 600px)  {
	.irori-util-mobile-break { display: none; }
}